Package com.google.protobuf

# Class GeneratedMessageV3.FieldAccessorTable

java.lang.Object
com.google.protobuf.GeneratedMessage.FieldAccessorTable
com.google.protobuf.GeneratedMessageV3.FieldAccessorTable

Enclosing class:
  `GeneratedMessageV3`

@Deprecated public static final class GeneratedMessageV3.FieldAccessorTable extends GeneratedMessage.FieldAccessorTable
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x). Users should update gencode to >= 4.26.x which uses GeneratedMessage.FieldAccessorTable instead.
Stub for GeneratedMessageV3.FieldAccessorTable wrapping GeneratedMessage.FieldAccessorTable for compatibility with older gencode.

## Constructor Summary

Constructors
Constructor
Description
`FieldAccessorTable(Descriptors.Descriptor descriptor, String[] camelCaseNames)`
Deprecated.
`FieldAccessorTable(Descriptors.Descriptor descriptor, String[] camelCaseNames, Class<? extends GeneratedMessageV3> messageClass, Class<? extends GeneratedMessageV3.Builder<?>> builderClass)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`GeneratedMessageV3.FieldAccessorTable`
`ensureFieldAccessorsInitialized(Class<? extends GeneratedMessage> messageClass, Class<? extends GeneratedMessage.Builder<?>> builderClass)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FieldAccessorTable

@Deprecated public FieldAccessorTable(Descriptors.Descriptor descriptor, String[] camelCaseNames, Class<? extends GeneratedMessageV3> messageClass, Class<? extends GeneratedMessageV3.Builder<?>> builderClass)
Deprecated.

### FieldAccessorTable

@Deprecated public FieldAccessorTable(Descriptors.Descriptor descriptor, String[] camelCaseNames)
Deprecated.

## Method Details

### ensureFieldAccessorsInitialized

@Deprecated public GeneratedMessageV3.FieldAccessorTable ensureFieldAccessorsInitialized(Class<? extends GeneratedMessage> messageClass, Class<? extends GeneratedMessage.Builder<?>> builderClass)
Deprecated.
Description copied from class: `GeneratedMessage.FieldAccessorTable`
Ensures the field accessors are initialized. This method is thread-safe.

Overrides:
  `ensureFieldAccessorsInitialized` in class `GeneratedMessage.FieldAccessorTable`
Parameters:
  `messageClass` - The message type.
  `builderClass` - The builder type.
Returns:
  this